%global module_name catkin_pkg

Name:           python-%{module_name}
Version:        0.5.2
Release:        2%{?dist}
Summary:        Library for retrieving information about catkin packages

License:        BSD
URL:            https://github.com/ros-infrastructure/%{module_name}
BuildArch:      noarch
Source0:        %{version}.tar.gz

%description
Library for retrieving information about catkin packages

%package -n python3-%{module_name}
Summary:        Library for retrieving information about catkin packages

Requires:       python3-dateutil
Requires:       python3-docutils
BuildRequires:  python3-dateutil
BuildRequires:  python3-devel
BuildRequires:  python3-docutils
BuildRequires:  python3-mock
BuildRequires:  python3-setuptools
BuildRequires:  python3-sphinx
BuildRequires:  python3-pyparsing
BuildRequires:  python3-flake8

%description -n python3-%{module_name}
Library for retrieving information about catkin packages

%prep
%setup -qc

mv %{module_name}-%{version} python3
find python3 -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'

sed -i "s/  'catkin_/  'python3-catkin_/g" python3/setup.py

# remove argparse requirement
sed -i '/argparse/ d' python3/setup.py

%build
pushd python3
%{__python3} setup.py build
PYTHONPATH=%{_builddir}/%{name}-%{version}/python3/build/lib make %{?_smp_mflags} -C doc html SPHINXAPIDOC=sphinx-apidoc-%{python3_version} SPHINXBUILD=sphinx-build-%{python3_version}
rm -f doc/_build/html/.buildinfo
pushd bin
for f in *; do mv $f python3-$f; done
popd
popd

%install
pushd python3
%{__python3} setup.py install --skip-build --root %{buildroot}
popd

%files -n python3-%{module_name}
%doc python3/doc/_build/html python3/README.rst
%license python3/LICENSE
%{_bindir}/python3-catkin_create_pkg
%{_bindir}/python3-catkin_find_pkg
%{_bindir}/python3-catkin_generate_changelog
%{_bindir}/python3-catkin_tag_changelog
%{_bindir}/python3-catkin_test_changelog
%{_bindir}/python3-catkin_package_version
%{_bindir}/python3-catkin_prepare_release
%{python3_sitelib}/%{module_name}/
%{python3_sitelib}/%{module_name}-%{version}-py?.*.egg-info

%changelog
* Thu Jul 13 2023 Z572 <zhengjunjie@iscas.ac.cn> - 0.5.2-2
- fix build under python3.10

* Wed May 3 2023 will_niutao <niutao2@huawei.com> - 0.5.2-1
- Init for openEuler
